<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00001002DocumentoPropostaIdiomaFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function limparCamposAnexo(array $params) {
        $sql = "UPDATE FCT_ORCAMENTODOCIDIOMA
                   SET NMARQUIVO    = NULL,
                       DSCAMINHOARQ = NULL,
                       DSTIPO       = NULL,
                       VRTAMANHO    = NULL,
                       DTULTATU     = SYSDATE,
                       NRORGULTATU  = :NRORGULTATU,
                       CDOPERULTATU = :CDOPERULTATU
                 WHERE NRORCAMENTODOCIDIOMA = :NRORCAMENTODOCIDIOMA";

        $this->connection->executeStatement($sql, $params);
    }

    public function getDocumentoPropostaIdioma(array $params) {
        $sql = "SELECT *
                  FROM FCT_ORCAMENTODOCIDIOMA
                 WHERE NRORCAMENTODOCIDIOMA = :NRORCAMENTODOCIDIOMA";
        
        return $this->connection->executeQuery($sql, $params)->fetchAllAssociative();
    }
}